1.

일단 wget 부터 설치
libelfg0 직접 다운로드 받어서 넣어주기
http://ftp.daum.net/ubuntu/pool/universe/libe/libelf/libelf_0.8.10.orig.tar.gz

tar xvzf 로 압축풀기
어?? 소스파일이네 ㅁㄴㅇㄹ

./configure
 또는 sh ./configure
make
make check
make install

ㅁㄴㅇㄹ C compiler가 executables를 만들 수 없다고 한다.
포기하고 딴 길

2. deb을 받아서 설치해보자
http://ftp.daum.net/ubuntu/pool/universe/libe/libelf/libelfg0_0.8.10-2_i386.deb

http://kjw53.tistory.com/entry/%ED%8C%A8%ED%82%A4%EC%A7%80-deb-%EC%84%A4%EC%B9%98-%ED%95%98%EA%B8%B0
에 dpkg 사용법
오예 /usr/lib에 뜬다.. ㅠㅠ apt-get 좋은데 가끔씩 쓰레기 ㅠㅠ



3. gem install passenger


stdlib.h

http://packages.ubuntu.com/natty/i386/libc6-dev/filelist
libc6-dev
libelfg0 버전이 안맞는다 (낮음)
http://en.wikipedia.org/wiki/Dpkg
참고해서 삭제
삭제 안되네
일단 최신것 받아서 재설치 시도
http://ftp.jaist.ac.jp/pub/Linux/ubuntu//pool/main/libe/libelf/libelfg0_0.8.13-1_i386.deb
dpkg -i *.deb

그 다음 다시
apt-get install libc6-dev
그래도 안된다.

4. 직접 다운받자
다음에는 없는데 자이스트에는 다 최신거네.. 휴
http://ftp.jaist.ac.jp/pub/Linux/ubuntu//pool/main/e/eglibc/libc6-dev_2.13-0ubuntu13_i386.deb
업데이트 한지 꽤나 된듯 다음서버는
wget 후 dpkg -i 로 설치

5. http://packages.ubuntu.com/natty/i386/gcc-avr/filelist
아이고 두야..
apt-get install gcc-avr
안되네
이넘도 수동 설치
http://ftp.jaist.ac.jp/pub/Linux/ubuntu//pool/universe/g/gcc-avr/gcc-avr_4.3.5-1_i386.deb
binutils-avr 의존성 타네
apt-get 안된다. 아 미치겠네..

http://packages.ubuntu.com/natty/i386/binutils-avr/download

수동 설치 안하고 jaist로 source.list 바꿔버려야겠다.
Daum 빠르기는 한데 패키지가 찾는것마다 구형
nano부터 깔고

6.
aptitude도 이전에는 되었는데 안되어서 reboot
그런거 안된ㄷ
일단 급한대로 dpkg로 다 막자
http://ftp.jaist.ac.jp/pub/Linux/ubuntu//pool/universe/b/binutils-avr/binutils-avr_2.20.1-1ubuntu2_i386.deb

7.위에게 문제가 아니었다.
http://packages.ubuntu.com/natty/amd64/linux-libc-dev/filelist
apt-get
안되고
http://ftp.jaist.ac.jp/pub/Linux/ubuntu//pool/main/l/linux/linux-libc-dev_2.6.38-8.42_i386.deb
dpkg -i
limits.h 이부분 해결

8 execvp
http://packages.ubuntu.com/natty/i386/libexplain-dev/filelist

http://ftp.jaist.ac.jp/pub/Linux/ubuntu//pool/universe/libe/libexplain/libexplain-dev_0.37.D001-1ubuntu1_i386.deb
libexplain30 의존

http://ftp.jaist.ac.jp/pub/Linux/ubuntu//pool/universe/libe/libexplain/libexplain30_0.37.D001-1ubuntu1_i386.deb

두 개 다 설치

그래도 아직
gcc: error trying to exec 'as': execvp: No such file or directory 에러 해결 못함
http://fixunix.com/slackware/396925-error-while-building-kernel-module.html

binutils 문제?

8.
http://ftp.jaist.ac.jp/pub/Linux/ubuntu//pool/main/b/binutils/binutils_2.21.0.20110327-2ubuntu2_i386.deb

dpkg -i

9.
gem install passenger

successfully installed
아 드디어 넘었어...


Posted by 세레

댓글을 달아주세요:: 네티켓은 기본, 스팸은 사절


카테고리

분류 전체보기 (447)
Science (283)
ars boni et aequi (55)
Routine (83)
Language (23)
Q&A (1)
me2day (1)

달력

«   2020/01   »
      1 2 3 4
5 6 7 8 9 10 11
12 13 14 15 16 17 18
19 20 21 22 23 24 25
26 27 28 29 30 31